WordPress.org

Ready to get started?Download WordPress

Forums

[resolved] [Plugin: OpenID] Activate OpenID -> Fatal error: require_once() (3 posts)

  1. JMK4189
    Member
    Posted 4 years ago #

    Hi,
    every time I try to activate OpenID I get this Error Messages:

    Warning: require_once(Auth/OpenID.php) [function.require-once]: failed to open stream: No such file or directory in /srv/www/htdocs/web157/html/wp-content/plugins/openid/Auth/OpenID/Server.php on line 95
    
    Fatal error: require_once() [function.require]: Failed opening required 'Auth/OpenID.php' (include_path='.') in /srv/www/htdocs/web157/html/wp-content/plugins/openid/Auth/OpenID/Server.php on line 95

    I have no idea what's wrong. I have WP 2.8.4, XRDS-Simple 1.0 and OpenID 3.2.3 (all DE-Edition). Does anyone know this problem?

    Edit: The file Auth/OpenID.php exist. I didn't forgot to upload it.

  2. JMK4189
    Member
    Posted 4 years ago #

    The same problem with the new version 3.3.1

    Can you help me?

    If I'm right, the messages says the include_path is wrong. But require_once "Auth/OpenID.php"; is the first command of ...tent/plugins/openid/Auth/OpenID/Server.php. So the include_path must be wrong before. But it's includet with require_once 'Auth/OpenID/Server.php'; also in the first line of ...tent/plugins/openid/server.php. So it must be th right include_path.

    My next idea was: The script was included before. So I changed the command to include_once. But now, the next require_once gives back the same errors. Changing all required_once in ...tent/plugins/openid/Auth/OpenID/Server.php to include_once an other required_once in an other file made problems. So the problem must be the include_path I think. But what's wrong?

  3. JMK4189
    Member
    Posted 4 years ago #

    I think, I found the reason for the problem now:
    set_include_path didn't change the include_path
    So the reason is the configuration of the server.

Topic Closed

This topic has been closed to new replies.

About this Topic